package org.openxma.dsl.core.injection;

import com.google.inject.Injector;

public class InjectedSingletons {

	protected static Injector getInjector() {
		return InjectorAccess.getInjector();
	}

	protected static <T> T getInstance(Class<T> clazz) {
		return getInjector().getInstance(clazz);
	}

}
